Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456150 - Review Request: slapi-nis - NIS Server and Schema Compatibility plugins for Fedora DS
Summary: Review Request: slapi-nis - NIS Server and Schema Compatibility plugins for F...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-21 18:55 UTC by Nalin Dahyabhai
Modified: 2009-02-16 18:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-16 18:32:43 UTC
rcritten: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nalin Dahyabhai 2008-07-21 18:55:47 UTC
Spec URL: http://git.fedorahosted.org/git/slapi-nis.git?p=slapi-nis.git;a=blob_plain;f=slapi-nis.spec

SRPM URL: (rpmbuild -ts on tarball at https://fedorahosted.org/releases/s/l/slapi-nis/)

Description: This slapi-nis package contains two plugins which aim to ease the
transition of a network from NIS to LDAP.  The NIS Server plugin
(nisserver-plugin) allows the directory server itself to act as a NIS
server, and the Schema Compatibility plugin (schemacompat-plugin)
allows the directory server to provide modified views of data stored
in the directory.

Comment 1 Rob Crittenden 2008-07-23 21:49:55 UTC
Review:
+ package builds in mock (F8 x86_64).
- rpmlint reports the following errors and warnings:
rpmlint reports 1 error and 1 warning:

slapi-nis.x86_64: I: checking
slapi-nis.x86_64: E: summary-too-long NIS Server and Schema Compatibility
plugins for Fedora and Red Hat Directory Server
The "Summary:" must not exceed 79 characters.

slapi-nis.x86_64: W: incoherent-version-in-changelog 0.2-1 0.6-1.fc8
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

1 packages and 0 specfiles checked; 1 errors, 1 warnings.
+ source files match upstream.
e9bc790e51187f3afa13dc2611e5d93a  python-kerberos-1.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ License is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears consistent.
+ Compiler flags are honored correctly.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does own the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Removes the buildroot in %install

I haven't tested that the plugin doesn't cause FDS to core yet.

Comment 2 Nalin Dahyabhai 2008-07-23 23:09:53 UTC
(In reply to comment #1)
> Review:
> + package builds in mock (F8 x86_64).
> - rpmlint reports the following errors and warnings:
> rpmlint reports 1 error and 1 warning:
> 
> slapi-nis.x86_64: I: checking
> slapi-nis.x86_64: E: summary-too-long NIS Server and Schema Compatibility
> plugins for Fedora and Red Hat Directory Server
> The "Summary:" must not exceed 79 characters.

Shortened.

> slapi-nis.x86_64: W: incoherent-version-in-changelog 0.2-1 0.6-1.fc8
> The last entry in %changelog contains a version identifier that is not
> coherent with the epoch:version-release tuple of the package.

0.6-1 is as close as I can get, what with the dist tag and all.  The .spec file
has been updated, not spinning a new tarball because it's built from a git tag.

Thanks!

Comment 3 Rob Crittenden 2008-07-24 13:57:39 UTC
+ rpmlint is silent

I also setup a FDS instance, configured and loaded the plugin, added a user in
the right mapping and NIS:

# ypcat -k -d example.com -h localhost passwd
tuser tuser:*:1160:500:Test User:/home/tuser:/bin/sh

APPROVED

Comment 4 Nalin Dahyabhai 2008-08-08 14:18:50 UTC
New Package CVS Request
=======================
Package Name: slapi-nis
Short Description: NIS Server and Schema Compatibility plugins for Directory Server
Owners: nalin
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-08-10 01:08:27 UTC
cvs done.

Comment 6 Peter Lemenkov 2009-02-16 18:32:20 UTC
Don't forget to close tickets when package was pushed to main repository.


Note You need to log in before you can comment on or make changes to this bug.